# class Sass::Script::Value::Callable

A SassScript object representing a null value.

### Public Class Methods

new(callable) click to toggle source

Constructs a Callable value for use in SassScript.

@param callable [Sass::Callable] The callable to be used when the callable is called.

Calls superclass method Sass::Script::Value::Base.new

    # File lib/sass/script/value/callable.rb, line 8
    def initialize(callable)
      super(callable)
    end

### Public Instance Methods

inspect() click to toggle source

    # File lib/sass/script/value/callable.rb, line 16
    def inspect
      to_sass
    end

to_s(opts = {}) click to toggle source

    # File lib/sass/script/value/callable.rb, line 12
    def to_s(opts = {})
      raise Sass::SyntaxError.new("#{to_sass} isn't a valid CSS value.")
    end

to_sass() click to toggle source

@abstract

    # File lib/sass/script/value/callable.rb, line 21
    def to_sass
      Sass::Util.abstract(self)
    end